﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TreeGridFiltering
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            DataContext =
                new List<Item>
                {
                    new Item("Fruit", 10, new Item("Apples", 2, new Item("MacIntosh", 1), new Item("Braeburn", 1)), new Item("Bananas", 5), new Item("Oranges", 3)),
                    new Item("Meat", 5, new Item("Chicken", 1), new Item("Steak", 2), new Item("Pork", 2)),
                    new Item("Dairy", 4, new Item("Milk", 1), new Item("Yogurt", 2), new Item("Cheese", 1)),
                };
            InitializeComponent();
        }
    }

    public class Item
    {
        public string Description { get; }
        public int Total { get; }
        public Item[] ChildItems { get; }

        public Item(string description, int total, params Item[] childItems)
        {
            Description = description;
            Total = total;
            ChildItems = childItems;
        }
    }
}
